Subject: bug#62189: 29.0.60; complete-symbol while inside add-to-list form prints a warning

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Mar 2023 07:14:48 +0200

> Cc: [email-masked], [email-masked]
> Date: Wed, 15 Mar 2023 05:20:57 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Stefan Monnier <[email-masked]>
> > Cc: Spencer Baugh <[email-masked]>,  [email-masked]
> > Date: Tue, 14 Mar 2023 16:28:08 -0400
> > 
> > But I do think it's a bug (I think we discussed this a few months ago,
> > probably in some other bug report): we should inhibit compiler macros
> > (and silence any other macro-expansion warnings)
> > during this kind of completion since it's normal to have
> > incomplete/invalid code at that point.
> 
> How do we silence these warnings in this case?

So we should keep this bug open until such a mechanism is in place,
and otherwise do nothing about it?  Or did I misunderstand?